POST /api/assets/{id}/regenerate

Authentication

API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Example: "abc123"

Request Body

application/json
motion string
Enum: subtle, medium, kinetic
mode string
Enum: loop, animate-in, animate-on-hover
dur_seconds integer
prompt_override string
seed integer

Responses

200 Regeneration started
application/json
asset_id string REQUIRED
status string REQUIRED
Enum: pending, ready, failed
404 Not found
429 Quota exceeded
curl -X POST 'https://motioness.com/api/assets/abc123/regenerate' \  -H 'Content-Type: application/json' \  -d '{  "motion": "subtle",  "mode": "loop",  "dur_seconds": 2,  "prompt_override": "string",  "seed": 0}'
const response = await fetch('https://motioness.com/api/assets/abc123/regenerate', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "motion": "subtle",    "mode": "loop",    "dur_seconds": 2,    "prompt_override": "string",    "seed": 0  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/assets/abc123/regenerate', json={  "motion": "subtle",  "mode": "loop",  "dur_seconds": 2,  "prompt_override": "string",  "seed": 0})print(response.json())
200 Response
{  "asset_id": "<string>",  "status": "pending"}
Ask a question... ⌘I